Skip to main content
PUT

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Example:

"Development API Key"

description
string
Example:

"API key for development environment"

rate_limits
object[] | null
usage_limits
object
Example:
reset_usage
boolean

Whether to reset current usage. If the current status is exhausted, this will change it back to active.

Example:

true

scopes
string[]
Example:
defaults
object
alert_emails
string<email>[]
expires_at
string<date-time> | null

ISO 8601 datetime at which this key expires.

Example:

"2026-12-31T23:59:59Z"

rotation_policy
object | null

Update or replace the automatic key rotation configuration. Requires either rotation_period or next_rotation_at.

Response

200 - application/json

OK

The response is of type object.

Last modified on April 8, 2026